Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.synchronization.work
Interface WorkUnitMergeVisitor

All Known Subinterfaces:
  AuditWorkUnit

All Known Implementing Classes:
  AbstractAuditWorkUnit, AddWorkUnit, CollectionChangeWorkUnit, DelWorkUnit, FakeBidirectionalRelationWorkUnit, ModWorkUnit, PersistentCollectionChangeWorkUnit

    public interface WorkUnitMergeVisitor

Visitor pattern visitor. All methods should be invoked on the first work unit.

Method Summary
`AuditWorkUnit` | `merge(AddWorkUnit second)`
`AuditWorkUnit` | `merge(CollectionChangeWorkUnit second)`
`AuditWorkUnit` | `merge(DelWorkUnit second)`
`AuditWorkUnit` | `merge(FakeBidirectionalRelationWorkUnit second)`
`AuditWorkUnit` | `merge(ModWorkUnit second)`

Method Detail

### merge

    AuditWorkUnit merge(AddWorkUnit second)

### merge

    AuditWorkUnit merge(ModWorkUnit second)

### merge

    AuditWorkUnit merge(DelWorkUnit second)

### merge

    AuditWorkUnit merge(CollectionChangeWorkUnit second)

### merge

    AuditWorkUnit merge(FakeBidirectionalRelationWorkUnit second)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.